#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include "point.h"
#include <time.h>
#include <cmath>
#include <QPainter>
#include <QPaintEvent>
#include <QColor>
#include <QMainWindow>

#define MAX_POINTS 1000000
#define SIZE       600
namespace Ui {
  class MainWindow;
}

class MainWindow : public QMainWindow
{
  Q_OBJECT

public:
  explicit MainWindow(QWidget *parent = 0);
  ~MainWindow();

private:

  Point points[MAX_POINTS];
  int currNumPoints;
  int countIn;


  Ui::MainWindow *ui;

  //Pre:  None
  //Post: Draws the current state of the points array to the current window.
  void paintEvent(QPaintEvent *);

  //Pre:  points is an MAX_POINTS size array.
  //Post: Incrementally generates new points, and forces an animation update.
  void generatePoints();

  //Pre:  p is a valid point.
  //Post: Returns true if p is inside the circle inscribed in this window.
  bool inCircle(Point p);

};

#endif // MAINWINDOW_H
